<template>
  <div :class="{ modal: isModal }">
    <v-radio-group v-model="inicial" @change="change" :mandatory="true" label="Seleccione la unidad:">
      <v-radio v-for="(row,index) in units" :key="index" :color=row.color :label=row.nombre :value=row.idUnidad></v-radio>     
    </v-radio-group>
  </div>
</template>

<script>
export default {
  props: {
    units: Array,
    isModal: {
      default: false,
      type: Boolean
    },
    ini : String,
  },
  data(){
    return {
        inicial: this.ini
    }
  },
  methods : {
      change(){
          this.$emit('change', this.inicial);
      }
  }
};
</script>

<style scoped lang="scss">
$size: 15px;
.circle {
  width: $size;
  height: $size;
  border-radius: 50%;
  border: 1px solid #444;
  margin-right: 5px;
}
.modal {
  display: flex;
  > div {
    width: 33.33%;
  }
}
</style>
